## ros-foxy-embree-vendor 0.0.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(embree_vendor)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)

macro(build_embree)

  set(cmake_commands)
  set(cmake_configure_args
    -Wno-dev
    -DCMAKE_INSTALL_PREFIX=${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}_install
    -DEMBREE_ISPC_SUPPORT=OFF)

  include(ExternalProject)
  externalproject_add(embree-ext
    GIT_REPOSITORY https://github.com/embree/embree.git
    GIT_TAG v3.8.0
    TIMEOUT 6000
    ${cmake_commands}
    CMAKE_ARGS
      ${cmake_configure_args}
  )

  # The external project will install to the build folder, but we'll install that on make install.
  install(
    DIRECTORY
      ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}_install/
    DESTINATION
      ${CMAKE_INSTALL_PREFIX}
  )
endmacro()

build_embree()

ament_export_include_directories(include)
ament_export_libraries(embree3)

ament_package()

=== debian/changelog ===
ros-foxy-embree-vendor (0.0.8-1focal) focal; urgency=high

  * fix embree version
  * Contributors: Masaya Kataoka

 -- masaya <ms.kataoka@gmail.com>  Sun, 11 Jul 2021 15:00:00 -0000

ros-foxy-embree-vendor (0.0.7-1focal) focal; urgency=high

  * remove test lines
  * Merge pull request #3 <https://github.com/OUXT-Polaris/embree_vendor/issues/3> from OUXT-Polaris/workflow/galactic
    update CI workflow for galactic
  * update .github/workflows/ROS2-Galactic.yaml
  * Merge pull request #2 <https://github.com/OUXT-Polaris/embree_vendor/issues/2> from OUXT-Polaris/workflow/foxy
    update CI workflow for foxy
  * update .github/workflows/ROS2-Foxy.yaml
  * update dependency.repos
  * add workflow_dispatch trigger
  * Contributors: Masaya Kataoka, robotx_buildfarm

 -- masaya <ms.kataoka@gmail.com>  Sun, 11 Jul 2021 15:00:00 -0000

ros-foxy-embree-vendor (0.0.6-1focal) focal; urgency=high

  * Merge pull request #1 <https://github.com/OUXT-Polaris/embree_vendor/issues/1> from OUXT-Polaris/feature/add_tbb_to_depends
    update package.xml
  * update package.xml
  * update workflow
  * rename workflow
  * fix workflow
  * add generate foxy dpkg workflow
  * Contributors: Masaya Kataoka

 -- masaya <ms.kataoka@gmail.com>  Sat, 09 Jan 2021 15:00:00 -0000

ros-foxy-embree-vendor (0.0.5-1focal) focal; urgency=high

  * update LICENSE
  * add ignore
  * Contributors: Masaya Kataoka

 -- masaya <ms.kataoka@gmail.com>  Sun, 03 Jan 2021 15:00:00 -0000

ros-foxy-embree-vendor (0.0.4-1focal) focal; urgency=high

  * update release workflow
  * Contributors: Masaya Kataoka

 -- masaya <ms.kataoka@gmail.com>  Sat, 02 Jan 2021 15:00:00 -0000

ros-foxy-embree-vendor (0.0.2-1focal) focal; urgency=high

  * update version
  * update version tag
  * update version
  * add description
  * add Release action
  * fix xml tag
  * add libglfw3-dev to the depends
  * update workflow
  * add README.md
  * Create ROS2-Foxy.yaml
    adding ROS2-Foxy workflow
  * update instal dir
  * enable pass rostest
  * Contributors: Masaya Kataoka

 -- masaya <ms.kataoka@gmail.com>  Sat, 02 Jan 2021 15:00:00 -0000

=== debian/control ===
Source: ros-foxy-embree-vendor
Section: misc
Priority: optional
Maintainer: masaya <ms.kataoka@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libglfw3-dev, libtbb-dev, ros-foxy-ament-cmake, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-embree-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libglfw3-dev, libtbb-dev, ros-foxy-ros-workspace
Description: vendor packages for intel raytracing kernel library

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-embree-vendor//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
